Bug 458999 - Cannot read pictures from Nikon D300 camera.
Cannot read pictures from Nikon D300 camera.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 14:13 EDT by Colin Adams
Modified: 2013-07-02 19:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Adams 2008-08-13 14:13:09 EDT
Description of problem: Cannot open my USB-attached Nikonn D300 camera.


Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Plugin the USB connector then turn on the camera's power
2. Open My Computer
3. Open Nikon D300 ikon
  
Actual results:

A dialog box opens saying something like "Opening Nikon D300".
You can Cancel this operation by pressing the Cancel button.

Nothing further happens. These messages are in syslog:

Aug 13 18:58:25 haiwa kernel: usb 1-5: new high speed USB device using ehci_hcd and address 5
Aug 13 18:58:25 haiwa kernel: usb 1-5: configuration #1 chosen from 1 choice
Aug 13 18:58:25 haiwa kernel: usb 1-5: New USB device found, idVendor=04b0, idProduct=041a
Aug 13 18:58:25 haiwa kernel: usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Aug 13 18:58:25 haiwa kernel: usb 1-5: Product: NIKON DSC D300
Aug 13 18:58:25 haiwa kernel: usb 1-5: Manufacturer: NIKON
Aug 13 18:58:25 haiwa kernel: usb 1-5: SerialNumber: 000008021555
Aug 13 18:58:51 haiwa kernel: gvfsd-gphoto2[21606]: segfault at c ip 00a9c7a0 sp bffb37fc error 4 in libpthread-2.8.so[a95000+15000]
Aug 13 18:59:55 haiwa kernel: [drm] Num pipes: 2
Aug 13 19:00:17 haiwa kernel: usb 1-5: USB disconnect, address 5



Expected results:

A windows showing thumbnails of the pictures should be opened.

Additional info:

This is on a clean Fedora 9 (32-bit install).
On my other Fedora 9 computer (64-bit O/S) I get a different error - that system is one which was upgraded from Fedora 8. It used to work (with Fedora 9) on that system until early July.

My MacBook Air can read the photos OK using iPhoto.
Comment 1 Colin Adams 2008-08-13 14:20:40 EDT
On my 64-bit fedora 9 machine, opening the Nikon D300 icon opens a window that says "This media contains digital photos".

When I click the "Open gThumb Image Viewer button", I get an Import Picture dialog which includes a no entry icon with the text:

An error occured in the io-library ('Could not lock the device'): camera is already in use.

Syslog looks like this:

Aug 13 18:52:47 susannah kernel: usb 1-4.2: Product: USB Multimedia Keyboard
Aug 13 18:52:47 susannah kernel: usb 1-4.2: Manufacturer: BTC
Aug 13 19:16:46 susannah kernel: usb 1-1: new high speed USB device using ehci_hcd and address 44
Aug 13 19:16:47 susannah kernel: usb 1-1: configuration #1 chosen from 1 choice
Aug 13 19:16:47 susannah kernel: usb 1-1: New USB device found, idVendor=04b0, idProduct=041a
Aug 13 19:16:47 susannah kernel: usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Aug 13 19:16:47 susannah kernel: usb 1-1: Product: NIKON DSC D300
Aug 13 19:16:47 susannah kernel: usb 1-1: Manufacturer: NIKON
Aug 13 19:16:47 susannah kernel: usb 1-1: SerialNumber: 000008021555
Comment 2 Bug Zapper 2009-06-09 22:27:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:16:40 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.